%define pkgname		GConf

%define api_version	2
%define gi_version	2.0
%define	lib_major	4
%define lib_name	%mklibname %{pkgname} %{api_version} %{lib_major}
%define gi_name		%mklibname gconf-gir %{gi_version}
%define lib_namedev	%mklibname -d %{pkgname} %{api_version}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A configuration database system for GNOME
Name:		%{pkgname}%{api_version}
Version:	3.2.6
Release:	%mkrel 15
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/gconf/
Source0: 	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Source1:	gconf.sh
Source2:	gconf.csh
# (fc) reload database when schemas are installed/uninstalled (GNOME bug #328697)
Patch1:		GConf-2.12.1-reload.patch
BuildRequires:	pkgconfig(dbus-1) >= 1.0.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(glib-2.0) > 2.14.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.7.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.7.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	openldap-devel
BuildRequires:	autoconf
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gobject-introspection-devel >= 0.9.5
# Remming out due to MGA#16454
# Requires:	polkit-agent
Requires:	gsettings-desktop-schemas
Requires:	%{lib_name} = %{version}
# needed by patch1
Requires:	psmisc
Requires:	sed
Requires(post):	update-alternatives
Recommends:	dconf

%description
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}
Conflicts: gir-repository < 0.6.5-12

%description -n %{lib_name}
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains necessary libraries to run any programs linked
with GConf.

%package -n %{gi_name}
Summary:	GObject introspection interface library for %{pkgname}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject introspection interface library for %{pkgname}.

%package -n %{lib_namedev}
Summary:	Development libraries and headers for GConf
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}
Obsoletes: %mklibname -d %{name}_ 4
Conflicts: GConf-sanity-check
Conflicts: gir-repository < 0.6.5-12

%description -n %{lib_namedev}
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains the header files and libraries needed to develop
applications using GConf.

%prep
%setup -q -n %{pkgname}-%{version}
%autopatch -p1

%build
%configure2_5x --with-gtk=3.0 --disable-static --disable-orbit
%make

%install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.sh
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.csh

mkdir %{buildroot}%{_sysconfdir}/gconf/schemas

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/{gconf.xml.local-defaults,gconf.xml.local-mandatory,gconf.xml.system}

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-defaults.path
xml:readonly:/etc/gconf/gconf.xml.local-defaults
include "\$(HOME)/.gconf.path.defaults"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-mandatory.path
xml:readonly:/etc/gconf/gconf.xml.local-mandatory
include "\$(HOME)/.gconf.path.mandatory"
EOF

%{find_lang} %{name}

# create symlink
ln -s %{_bindir}/gconftool-2 %{buildroot}%{_bindir}/gconftool

# remove unpackaged files
find %{buildroot} -name '*.la' -delete

# automatic install of gconf schemas on rpm installs
%transfiletriggerin -- /etc/gconf/schemas/
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`;
cat | xargs %{_bindir}/gconftool-2 --makefile-install-rule >/dev/null

%triggerpostun -- GConf2 < 3.2.6-13
if [ -L %{_sysconfdir}/alternatives/gconftool -a -x %{_sbindir}/update-alternatives ]; then
	%{_sbindir}/update-alternatives --remove gconftool %{_bindir}/gconftool-2
fi

%files -f %{name}.lang
%doc README
%config(noreplace) %{_sysconfdir}/profile.d/*
%config(noreplace) %_sysconfdir/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%_sysconfdir/xdg/autostart/gsettings-data-convert.desktop
%_bindir/gsettings-data-convert
%_bindir/gsettings-schema-convert
%{_bindir}/gconftool*
%{_bindir}/gconf-merge-tree
%_mandir/man1/gconftool-2.1*
%_mandir/man1/gsettings-data-convert.1*
%_mandir/man1/gsettings-schema-convert.1*
%{_libexecdir}/gconfd-%{api_version}
%{_libexecdir}/gconf-defaults-mechanism
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/%{api_version}
%{_libdir}/GConf/%{api_version}/*.so
%config(noreplace) %{_sysconfdir}/gconf/%{api_version}
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/gconf.xml*
%dir %{_sysconfdir}/gconf/schemas
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/sgml/gconf
%{_datadir}/GConf
%{_datadir}/dbus-1/services/org.gnome.GConf.service
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service

%files -n %{lib_name}
%doc README
%{_libdir}/lib*.so.%{lib_major}
%{_libdir}/lib*.so.%{lib_major}.*
%{_libdir}/gio/modules/libgsettingsgconfbackend.so

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GConf-%{gi_version}.typelib

%files -n %{lib_namedev}
%doc ChangeLog TODO NEWS AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GConf-%{gi_version}.gir


%changelog
* Thu Dec 08 2016 luigiwalser <luigiwalser> 3.2.6-15.mga6
+ Revision: 1073395
- fix update-alternatives call in scriptlet

* Sun Feb 14 2016 umeabot <umeabot> 3.2.6-14.mga6
+ Revision: 960244
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 wally <wally> 3.2.6-13.mga6
+ Revision: 895317
- drop update-alternatives way to create gconftool symlink
- drop old conflicts
- drop old triggerpostun script

* Sat Oct 24 2015 wally <wally> 3.2.6-12.mga6
+ Revision: 894999
- fix filetrigger

* Sun Sep 06 2015 tv <tv> 3.2.6-11.mga6
+ Revision: 873758
- switch to new upstream file trigger syntax

* Mon Jul 27 2015 shlomif <shlomif> 3.2.6-10.mga6
+ Revision: 858256
- Remove requires for polkit-agent (mga#16454)

* Sun Jun 28 2015 wally <wally> 3.2.6-9.mga6
+ Revision: 847180
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 3.2.6-8.mga5
+ Revision: 750427
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.2.6-7.mga5
+ Revision: 731136
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 3.2.6-6.mga5
+ Revision: 686605
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.2.6-5.mga5
+ Revision: 677643
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 3.2.6-4.mga4
+ Revision: 523440
- Mageia 4 Mass Rebuild

* Thu Apr 25 2013 colin <colin> 3.2.6-3.mga3
+ Revision: 411143
- Conflict with GConf-sanity-check to prevent -devel packages being pulled in on upgrade

* Mon Jan 28 2013 cjw <cjw> 3.2.6-2.mga3
+ Revision: 392984
- drop gconfd symlink in /usr/lib for biarch systems, not needed with gconfd in /usr/libexec (fixes #8875)

* Tue Jan 22 2013 ovitters <ovitters> 3.2.6-1.mga3
+ Revision: 390805
- remove sanity-check subpackage (removed upstream)
- new version 3.2.6

* Fri Jan 11 2013 umeabot <umeabot> 3.2.5-2.mga3
+ Revision: 345059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 ovitters <ovitters> 3.2.5-1.mga2
+ Revision: 222977
- new version 3.2.5

* Fri Mar 09 2012 fwang <fwang> 3.2.4-1.mga2
+ Revision: 222012
- new version 3.2.4

* Tue Feb 14 2012 ovitters <ovitters> 3.2.3-2.mga2
+ Revision: 208872
- clean spec

* Mon Oct 31 2011 wally <wally> 3.2.3-1.mga2
+ Revision: 160527
- new version 3.2.3

* Fri Oct 28 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 159123
- new version 3.2.2
- drop upstreamed patch

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148790
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145654
- new version 3.1.92

* Mon Sep 19 2011 fwang <fwang> 3.1.90-4.mga2
+ Revision: 145584
- bump rel
- disable old orbit support, turn to dbus for ipc

* Tue Sep 13 2011 fwang <fwang> 3.1.90-3.mga2
+ Revision: 142811
- drop .la files

* Tue Aug 30 2011 fwang <fwang> 3.1.90-2.mga2
+ Revision: 136387
- fix overlink of libgconf

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136352
- new version 3.1.90
- new version 3.1.5

  + wally <wally>
    - new version 3.1.6

* Fri Jul 08 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 119942
- same version 3.1.3 (2.32.5 was renamed)

* Fri Jul 08 2011 cjw <cjw> 2.32.5-2.mga2
+ Revision: 119931
- rebuild to add typelib deps and provides

* Fri Jul 01 2011 dmorgan <dmorgan> 2.32.5-1.mga2
+ Revision: 117176
- New version 2.32.5

* Thu Jun 16 2011 dmorgan <dmorgan> 2.32.4-1.mga2
+ Revision: 108269
- New version 2.32.4

* Thu Apr 28 2011 saispo <saispo> 2.32.3-2.mga1
+ Revision: 93277
- Bump Release
- Add Requires : gsettings-desktop-schemas
  Add Suggests : dconf
  Fix bug #1014

* Wed Apr 27 2011 ahmad <ahmad> 2.32.3-1.mga1
+ Revision: 91869
- Update to 2.32.3

* Sat Apr 16 2011 pterjan <pterjan> 2.32.2-1.mga1
+ Revision: 86577
- Update to 2.32.2

* Thu Apr 14 2011 pterjan <pterjan> 2.32.1-2.mga1
+ Revision: 85120
- Add back dependency accidentaly dropped while syncing with mdv (spotted by rtp)

* Sat Mar 26 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 77787
- Sync with mdv

* Mon Jan 10 2011 dmorgan <dmorgan> 2.32.0-1.mga1
+ Revision: 5503
- imported package GConf2

